Package org.jbpm.casemgmt.impl.command

## Class AddDataCaseFileInstanceCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Void>
  - - org.jbpm.casemgmt.impl.command.AddDataCaseFileInstanceCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Void>`, `org.kie.api.command.ExecutableCommand<Void>`

      public class AddDataCaseFileInstanceCommand
      extends CaseCommand<Void>

  Updates case file with new data
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddDataCaseFileInstanceCommand​(String deploymentId, Long processInstanceId, org.kie.internal.identity.IdentityProvider identityProvider, Map<String,​Object> parameters, List<String> accessRestriction, AuthorizationManager authorizationManager, ProcessService processService, CaseRuntimeDataService caseRuntimeDataService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Void` | `execute​(org.kie.api.runtime.Context context)` |

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddDataCaseFileInstanceCommand

          public AddDataCaseFileInstanceCommand​(String deploymentId,
                                                Long processInstanceId,
                                                org.kie.internal.identity.IdentityProvider identityProvider,
                                                Map<String,​Object> parameters,
                                                List<String> accessRestriction,
                                                AuthorizationManager authorizationManager,
                                                ProcessService processService,
                                                CaseRuntimeDataService caseRuntimeDataService)

  - ### Method Detail

    - #### execute

          public Void execute​(org.kie.api.runtime.Context context)